> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uplifthub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Line Item



## OpenAPI

````yaml /openapi.json post /LineItem
openapi: 3.0.0
info:
  title: V1
  description: ''
  version: '1'
servers:
  - url: https://app.uplifthub.io/P195_Exposed_Integrations/rest/V1
security:
  - ApiKeyAuth: []
tags:
  - name: Accounts
  - name: Campaigns
  - name: Line Items
  - name: Products
  - name: Documents
  - name: Source Markets
  - name: Reporting
  - name: System
paths:
  /LineItem:
    post:
      tags:
        - Line Items
      summary: Create Line Item
      operationId: CreateLineItem
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateLineItem'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponseStructure'
components:
  schemas:
    CreateLineItem:
      description: ''
      type: object
      properties:
        ExternalId:
          type: string
          default: ''
        LineItemName:
          type: string
          default: ''
        CampaignId:
          type: integer
          example: 1234567891234567
          format: int64
        ProductId:
          type: integer
          example: 1234567891234567
          format: int64
        StartDate:
          type: string
          format: date
          example: '2014-12-31'
        EndDate:
          type: string
          format: date
          example: '2014-12-31'
        Quantity:
          type: integer
          example: 0
          format: int32
        PartnerRate:
          type: number
          example: 0.1
        FulfilmentCost:
          type: number
          example: 0.1
        PartnerDiscount:
          type: integer
          example: 0
          format: int32
        LineItemReportingFields:
          type: array
          items:
            $ref: '#/components/schemas/LineItemReportingField'
        LineItemEvidence:
          type: array
          items:
            $ref: '#/components/schemas/LineItemEvidenceField'
        LineItemBriefFields:
          type: array
          items:
            $ref: '#/components/schemas/LineItemBriefFieldItem'
        EvidenceFilename_1:
          type: string
          default: ''
        EvidenceURL_1:
          type: string
          default: ''
        EvidenceFilename_2:
          type: string
          default: ''
        EvidenceURL_2:
          type: string
          default: ''
        EvidenceFilename_3:
          type: string
          default: ''
        EvidenceURL_3:
          type: string
          default: ''
        EvidenceFilename_4:
          type: string
          default: ''
        EvidenceURL_4:
          type: string
          default: ''
        EvidenceFilename_5:
          type: string
          default: ''
        EvidenceURL_5:
          type: string
          default: ''
        LineItemStatusId:
          type: integer
          example: 1234567891234567
          format: int64
        CostBasis_Override:
          type: string
          default: ''
    GenericResponseStructure:
      description: ''
      type: object
      properties:
        Success:
          type: boolean
          example: false
        Message:
          type: string
          default: ''
        Id:
          type: integer
          example: 1234567891234567
          format: int64
        ExternalId:
          type: string
          default: ''
      required:
        - Success
        - Message
    LineItemReportingField:
      description: ''
      type: object
      properties:
        FieldName:
          type: string
          default: ''
        FieldValue:
          type: string
          default: ''
    LineItemEvidenceField:
      description: ''
      type: object
      properties:
        EvidenceFileName:
          type: string
          default: ''
        EvidenceURL:
          type: string
          default: ''
        EvidenceDescription:
          type: string
          default: ''
    LineItemBriefFieldItem:
      description: ''
      type: object
      properties:
        FieldName:
          type: string
          default: ''
        FieldValue:
          type: string
          default: ''
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-apikey

````